Cliquify Developer
  1. Authentication
  • Overview
    • Get started
  • Authentication
    • Token lifecycle
    • OAuth scopes
    • Get an access token
      POST
    • Introspect a token
      POST
    • Revoke a token
      POST
  • API Reference
    • Templates
      • Tags
        • List brand tags
      • List templates
    • Assets
      • Folders
        • List folder
      • List assets
      • List asset tags
    • Brand Kit
      • List brand kit
      • List brand kit logos
      • List brand kit colors
    • Troubleshoot
      • Errors and troubleshooting
  1. Authentication

Introspect a token

Developing
POST
https://oauth.cliquify.me/oauth/introspect
Use token introspection to verify whether an access token is active and to read its metadata.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

🟠422Invalid/Expired token
🟠422Token required
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://oauth.cliquify.me/oauth/introspect' \
--header 'Content-Type: application/json' \
--data '{"token":"YOUR_ACCESS_TOKEN"}'
Response Response Example
200 - Success
{
  "success": true,
  "message": "",
  "data": {
    "active": true,
    "client_id": "a1b2c3d4e5f6g7h8",
    "user_id": null,
    "scopes": ["profile:read", "templates:read", "assets:read"],
    "expires_at": "2027-01-01 12:00:00"
  }
}
Modified at 2026-04-09 15:28:19
Previous
Get an access token
Next
Revoke a token
Built with